Bug 435701 - Greasemoney not working with epiphany
Greasemoney not working with epiphany
Product: Fedora
Classification: Fedora
Component: epiphany-extensions (Show other bugs)
i386 Linux
low Severity high
: ---
: ---
Assigned To: Peter Gordon
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-03-03 08:51 EST by Peter Janakiev
Modified: 2008-04-09 05:11 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-04-09 05:11:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 525910 None None None Never

  None (edit)
Description Peter Janakiev 2008-03-03 08:51:35 EST
Description of problem:
The package epiphany extentions offers the greasemonkey extention on the
epiphany web browser. Greasemonkey should be working, even if it is not API
compatible, simple scripts should be working (like alert('somethest');
But they dont, copying actually working script from firefox to epiphany does not
work either. Navigating to a web page that has a user script offers additional
contect menu (save and us this user script) but it is not working either. The
file is saved to the correct location but it is never used.

Version-Release number of selected component (if applicable):

How reproducible:
Always, I was unable to run a single line of javascript code trou greasemoney,
while all was running properly on FF

Steps to Reproduce:
1. Save a simple user script in ~/gnome2/epiphany/extentions/data/greasemonkey
// ==UserScript==
// @name          Hello World
// ==/UserScript==


2. Start the browser, navigate to a web page
Actual results:
Nothing happens

Expected results:
alert message to be displayed

Additional info:
The shared object is mapped by the executable, so it looks it should be working
but it is not, i was unable to find a script that actually works with epiphany.
Comment 1 Peter Gordon 2008-03-04 23:08:06 EST
Hmm...this _used_ to work. I remember having a mplayerplug-in script with
2.16-point-something that replaced Flash videos in YouTube with their actual
videos embedded (before swfdec worked so nicely). I haven't touched it since,
though TBH. :|

I'll take a look at this and try to track it down.
Comment 2 Peter Gordon 2008-03-07 01:45:00 EST
Okay, I can confirm that various scripts from userscripts.org and the one you
have posted all seem not to function. Now, the question is Why...
Comment 3 Matěj Cepl 2008-03-13 12:11:26 EDT
confirming, unfortunately I can reproduce it pretty well -- which sucks because
I need GM for my work on this very bugzilla.
Comment 4 Matěj Cepl 2008-04-09 05:11:39 EDT
As I said, I am really sorry and pissed off with this, but this is nothing Red
Hat could be handling. I have filed myself bug
http://bugzilla.gnome.org/show_bug.cgi?id=525910 in the upstream database, and
according to http://comments.gmane.org/gmane.comp.gnome.apps.epiphany/9382 it
probably won't get fixed soon.

Red Hat will continue to track the issue in the centralized upstream bug
tracker, and will review any bug fixes that become available for consideration
in future updates, however in meantime I have to regretfully close this bug as

Thank you for the bug report.

Note You need to log in before you can comment on or make changes to this bug.